package com.chenyang.druid.sql.dialect.mysql.visitor;

import com.chenyang.druid.sql.dialect.mysql.ast.MySqlForceIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlIgnoreIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlKey;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlPrimaryKey;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlUnique;
import com.chenyang.druid.sql.dialect.mysql.ast.MySqlUseIndexHint;
import com.chenyang.druid.sql.dialect.mysql.ast.MysqlForeignKey;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlCaseStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlCursorDeclareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareConditionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareHandlerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlDeclareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlIterateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlLeaveStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlRepeatStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlSelectIntoStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.clause.MySqlTableTableSource;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlCharExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlIntervalExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlJSONTableExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlOrderingExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlOutFileExpr;
import com.chenyang.druid.sql.dialect.mysql.ast.expr.MySqlUserName;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.CobarShowStatus;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsBaselineStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsCancelDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsChangeDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsClearDDLJobCache;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsInspectDDLJobCache;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRecoverDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRemoveDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsRollbackDDLJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowDDLJobs;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowGlobalIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.DrdsShowMetadataLock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySQLImportTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLCacheIndexStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLGrantStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLRevokeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLShowColumnStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqLShowCreateTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterDatabaseKillJob;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterDatabaseSetOption;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterLogFileGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterServerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterFullTextIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableAlterIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableChangeColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableDiscardTablespace;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableForce;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableImportTablespace;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableLock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableModifyColumn;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableOption;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableOrderBy;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTableValidation;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterTablespaceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAlterUserStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlAnalyzeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlBinlogStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCheckTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlChecksumTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlClearPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateAddLogFileGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateExternalCatalogStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateServerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateTableSpaceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlCreateUserStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlDeleteStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlDisabledPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlEventSchedule;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExecuteForAdsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExecuteStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExplainPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExplainStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlExtPartition;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlFlashbackStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlFlushStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlHelpStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlHintStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlInsertStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLoadDataInFileStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLoadXmlStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlLockTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlManageInstanceGroupStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlMigrateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlOptimizeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlPartitionByKey;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlPrepareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRaftLeaderTransferStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRaftMemberChangeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRenameSequenceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRenameTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlRepairTableStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlResetStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSelectQueryBlock;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSetTransactionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowAuthorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBinLogEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBinaryLogsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowBroadcastsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCharacterSetStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowClusterNameStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCollationStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowConfigStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowContributorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateDatabaseStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateEventStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateFunctionStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateProcedureStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowCreateTriggerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDatabaseStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDatasourcesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDdlStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowDsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEngineStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEnginesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowErrorsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowFunctionCodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowFunctionStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowGrantsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowHMSMetaStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowHelpStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowJobStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMasterLogsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMasterStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowMigrateTaskStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowNodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowOpenTablesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPartitionsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPhysicalProcesslistStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPlanCacheStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPluginsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowPrivilegesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcedureCodeStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcedureStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProcessListStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProfileStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowProfilesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRelayLogEventsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRuleStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowRuleStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSequencesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlaveHostsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlaveStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowSlowStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTableStatusStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTopologyStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTraceStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowTriggersStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowVariantsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlShowWarningsStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByKey;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByList;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlSubPartitionByValue;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlTableIndex;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUnlockTablesStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdatePlanCacheStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdateStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MySqlUpdateTableSource;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlAlterFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlAlterTableAlterCheck;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextAnalyzerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextCharFilterStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextDictionaryStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextTokenFilterStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlCreateFullTextTokenizerStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlDeallocatePrepareStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlDropFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowCreateFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowDbLockStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowFullTextStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowHtcStatement;
import com.chenyang.druid.sql.dialect.mysql.ast.statement.MysqlShowStcStatement;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public interface MySqlASTVisitor extends SQLASTVisitor {
   boolean visit(MySqlTableIndex var1);

   void endVisit(MySqlTableIndex var1);

   boolean visit(MySqlKey var1);

   void endVisit(MySqlKey var1);

   boolean visit(MySqlPrimaryKey var1);

   void endVisit(MySqlPrimaryKey var1);

   boolean visit(MySqlUnique var1);

   void endVisit(MySqlUnique var1);

   boolean visit(MysqlForeignKey var1);

   void endVisit(MysqlForeignKey var1);

   void endVisit(MySqlPrepareStatement var1);

   boolean visit(MySqlPrepareStatement var1);

   void endVisit(MySqlExecuteStatement var1);

   boolean visit(MysqlDeallocatePrepareStatement var1);

   void endVisit(MysqlDeallocatePrepareStatement var1);

   boolean visit(MySqlExecuteStatement var1);

   void endVisit(MySqlDeleteStatement var1);

   boolean visit(MySqlDeleteStatement var1);

   void endVisit(MySqlInsertStatement var1);

   boolean visit(MySqlInsertStatement var1);

   void endVisit(MySqlLoadDataInFileStatement var1);

   boolean visit(MySqlLoadDataInFileStatement var1);

   void endVisit(MySqlLoadXmlStatement var1);

   boolean visit(MySqlLoadXmlStatement var1);

   void endVisit(MySqlShowWarningsStatement var1);

   boolean visit(MySqlShowWarningsStatement var1);

   void endVisit(MySqlShowStatusStatement var1);

   boolean visit(MySqlShowStatusStatement var1);

   void endVisit(MySqlShowAuthorsStatement var1);

   boolean visit(MySqlShowAuthorsStatement var1);

   void endVisit(MysqlShowHtcStatement var1);

   boolean visit(MysqlShowHtcStatement var1);

   void endVisit(MysqlShowStcStatement var1);

   boolean visit(MysqlShowStcStatement var1);

   void endVisit(CobarShowStatus var1);

   boolean visit(CobarShowStatus var1);

   void endVisit(DrdsShowDDLJobs var1);

   boolean visit(DrdsShowDDLJobs var1);

   void endVisit(DrdsCancelDDLJob var1);

   boolean visit(DrdsCancelDDLJob var1);

   void endVisit(DrdsRecoverDDLJob var1);

   boolean visit(DrdsRecoverDDLJob var1);

   void endVisit(DrdsRollbackDDLJob var1);

   boolean visit(DrdsRollbackDDLJob var1);

   void endVisit(DrdsRemoveDDLJob var1);

   boolean visit(DrdsRemoveDDLJob var1);

   void endVisit(DrdsInspectDDLJobCache var1);

   boolean visit(DrdsInspectDDLJobCache var1);

   void endVisit(DrdsClearDDLJobCache var1);

   boolean visit(DrdsClearDDLJobCache var1);

   void endVisit(DrdsChangeDDLJob var1);

   boolean visit(DrdsChangeDDLJob var1);

   void endVisit(DrdsBaselineStatement var1);

   boolean visit(DrdsBaselineStatement var1);

   void endVisit(DrdsShowGlobalIndex var1);

   boolean visit(DrdsShowGlobalIndex var1);

   void endVisit(DrdsShowMetadataLock var1);

   boolean visit(DrdsShowMetadataLock var1);

   void endVisit(MySqlBinlogStatement var1);

   boolean visit(MySqlBinlogStatement var1);

   void endVisit(MySqlResetStatement var1);

   boolean visit(MySqlResetStatement var1);

   void endVisit(MySqlCreateUserStatement var1);

   boolean visit(MySqlCreateUserStatement var1);

   void endVisit(MySqlCreateUserStatement.UserSpecification var1);

   boolean visit(MySqlCreateUserStatement.UserSpecification var1);

   void endVisit(MySqlPartitionByKey var1);

   boolean visit(MySqlPartitionByKey var1);

   void endVisit(MySqlUpdatePlanCacheStatement var1);

   boolean visit(MySqlUpdatePlanCacheStatement var1);

   void endVisit(MySqlShowPlanCacheStatusStatement var1);

   boolean visit(MySqlShowPlanCacheStatusStatement var1);

   void endVisit(MySqlClearPlanCacheStatement var1);

   boolean visit(MySqlClearPlanCacheStatement var1);

   void endVisit(MySqlDisabledPlanCacheStatement var1);

   boolean visit(MySqlDisabledPlanCacheStatement var1);

   void endVisit(MySqlExplainPlanCacheStatement var1);

   boolean visit(MySqlExplainPlanCacheStatement var1);

   boolean visit(MySqlSelectQueryBlock var1);

   void endVisit(MySqlSelectQueryBlock var1);

   boolean visit(MySqlOutFileExpr var1);

   void endVisit(MySqlOutFileExpr var1);

   boolean visit(MySqlExplainStatement var1);

   void endVisit(MySqlExplainStatement var1);

   boolean visit(MySqlUpdateStatement var1);

   void endVisit(MySqlUpdateStatement var1);

   boolean visit(MySqlSetTransactionStatement var1);

   void endVisit(MySqlSetTransactionStatement var1);

   boolean visit(MySqlShowHMSMetaStatement var1);

   void endVisit(MySqlShowHMSMetaStatement var1);

   boolean visit(MySqlShowBinaryLogsStatement var1);

   void endVisit(MySqlShowBinaryLogsStatement var1);

   boolean visit(MySqlShowMasterLogsStatement var1);

   void endVisit(MySqlShowMasterLogsStatement var1);

   boolean visit(MySqlShowCharacterSetStatement var1);

   void endVisit(MySqlShowCharacterSetStatement var1);

   boolean visit(MySqlShowCollationStatement var1);

   void endVisit(MySqlShowCollationStatement var1);

   boolean visit(MySqlShowBinLogEventsStatement var1);

   void endVisit(MySqlShowBinLogEventsStatement var1);

   boolean visit(MySqlShowContributorsStatement var1);

   void endVisit(MySqlShowContributorsStatement var1);

   boolean visit(MySqlShowCreateDatabaseStatement var1);

   void endVisit(MySqlShowCreateDatabaseStatement var1);

   boolean visit(MySqlShowCreateEventStatement var1);

   void endVisit(MySqlShowCreateEventStatement var1);

   boolean visit(MySqlShowCreateFunctionStatement var1);

   void endVisit(MySqlShowCreateFunctionStatement var1);

   boolean visit(MySqlShowCreateProcedureStatement var1);

   void endVisit(MySqlShowCreateProcedureStatement var1);

   boolean visit(MySqlShowCreateTriggerStatement var1);

   void endVisit(MySqlShowCreateTriggerStatement var1);

   boolean visit(MySqlShowEngineStatement var1);

   void endVisit(MySqlShowEngineStatement var1);

   boolean visit(MySqlShowEnginesStatement var1);

   void endVisit(MySqlShowEnginesStatement var1);

   boolean visit(MySqlShowErrorsStatement var1);

   void endVisit(MySqlShowErrorsStatement var1);

   boolean visit(MySqlShowEventsStatement var1);

   void endVisit(MySqlShowEventsStatement var1);

   boolean visit(MySqlShowFunctionCodeStatement var1);

   void endVisit(MySqlShowFunctionCodeStatement var1);

   boolean visit(MySqlShowFunctionStatusStatement var1);

   void endVisit(MySqlShowFunctionStatusStatement var1);

   boolean visit(MySqlShowGrantsStatement var1);

   void endVisit(MySqlShowGrantsStatement var1);

   boolean visit(MySqlUserName var1);

   void endVisit(MySqlUserName var1);

   boolean visit(MySqlAlterDatabaseSetOption var1);

   void endVisit(MySqlAlterDatabaseSetOption var1);

   boolean visit(MySqlAlterDatabaseKillJob var1);

   void endVisit(MySqlAlterDatabaseKillJob var1);

   boolean visit(MySqlShowMasterStatusStatement var1);

   void endVisit(MySqlShowMasterStatusStatement var1);

   boolean visit(MySqlShowOpenTablesStatement var1);

   void endVisit(MySqlShowOpenTablesStatement var1);

   boolean visit(MySqlShowPluginsStatement var1);

   void endVisit(MySqlShowPluginsStatement var1);

   boolean visit(MySqlShowPartitionsStatement var1);

   void endVisit(MySqlShowPartitionsStatement var1);

   boolean visit(MySqlShowPrivilegesStatement var1);

   void endVisit(MySqlShowPrivilegesStatement var1);

   boolean visit(MySqlShowProcedureCodeStatement var1);

   void endVisit(MySqlShowProcedureCodeStatement var1);

   boolean visit(MySqlShowProcedureStatusStatement var1);

   void endVisit(MySqlShowProcedureStatusStatement var1);

   boolean visit(MySqlShowProcessListStatement var1);

   void endVisit(MySqlShowProcessListStatement var1);

   boolean visit(MySqlShowProfileStatement var1);

   void endVisit(MySqlShowProfileStatement var1);

   boolean visit(MySqlShowProfilesStatement var1);

   void endVisit(MySqlShowProfilesStatement var1);

   boolean visit(MySqlShowRelayLogEventsStatement var1);

   void endVisit(MySqlShowRelayLogEventsStatement var1);

   boolean visit(MySqlShowSlaveHostsStatement var1);

   void endVisit(MySqlShowSlaveHostsStatement var1);

   boolean visit(MySqlShowSequencesStatement var1);

   void endVisit(MySqlShowSequencesStatement var1);

   boolean visit(MySqlShowSlaveStatusStatement var1);

   void endVisit(MySqlShowSlaveStatusStatement var1);

   boolean visit(MySqlShowSlowStatement var1);

   void endVisit(MySqlShowSlowStatement var1);

   boolean visit(MySqlShowTableStatusStatement var1);

   void endVisit(MySqlShowTableStatusStatement var1);

   boolean visit(MySqlShowTriggersStatement var1);

   void endVisit(MySqlShowTriggersStatement var1);

   boolean visit(MySqlShowVariantsStatement var1);

   void endVisit(MySqlShowVariantsStatement var1);

   boolean visit(MySqlShowTraceStatement var1);

   void endVisit(MySqlShowTraceStatement var1);

   boolean visit(MySqlShowBroadcastsStatement var1);

   void endVisit(MySqlShowBroadcastsStatement var1);

   boolean visit(MySqlShowRuleStatement var1);

   void endVisit(MySqlShowRuleStatement var1);

   boolean visit(MySqlShowRuleStatusStatement var1);

   void endVisit(MySqlShowRuleStatusStatement var1);

   boolean visit(MySqlShowDsStatement var1);

   void endVisit(MySqlShowDsStatement var1);

   boolean visit(MySqlShowDdlStatusStatement var1);

   void endVisit(MySqlShowDdlStatusStatement var1);

   boolean visit(MySqlShowTopologyStatement var1);

   void endVisit(MySqlShowTopologyStatement var1);

   boolean visit(MySqlRenameTableStatement.Item var1);

   void endVisit(MySqlRenameTableStatement.Item var1);

   boolean visit(MySqlRenameTableStatement var1);

   void endVisit(MySqlRenameTableStatement var1);

   boolean visit(MysqlShowDbLockStatement var1);

   void endVisit(MysqlShowDbLockStatement var1);

   boolean visit(MySqlShowDatabaseStatusStatement var1);

   void endVisit(MySqlShowDatabaseStatusStatement var1);

   boolean visit(MySqlUseIndexHint var1);

   void endVisit(MySqlUseIndexHint var1);

   boolean visit(MySqlIgnoreIndexHint var1);

   void endVisit(MySqlIgnoreIndexHint var1);

   boolean visit(MySqlLockTableStatement var1);

   void endVisit(MySqlLockTableStatement var1);

   boolean visit(MySqlLockTableStatement.Item var1);

   void endVisit(MySqlLockTableStatement.Item var1);

   boolean visit(MySqlUnlockTablesStatement var1);

   void endVisit(MySqlUnlockTablesStatement var1);

   boolean visit(MySqlForceIndexHint var1);

   void endVisit(MySqlForceIndexHint var1);

   boolean visit(MySqlAlterTableChangeColumn var1);

   void endVisit(MySqlAlterTableChangeColumn var1);

   boolean visit(MySqlAlterTableOption var1);

   void endVisit(MySqlAlterTableOption var1);

   boolean visit(MySqlCreateTableStatement var1);

   void endVisit(MySqlCreateTableStatement var1);

   boolean visit(MySqlHelpStatement var1);

   void endVisit(MySqlHelpStatement var1);

   boolean visit(MySqlCharExpr var1);

   void endVisit(MySqlCharExpr var1);

   boolean visit(MySqlAlterTableModifyColumn var1);

   void endVisit(MySqlAlterTableModifyColumn var1);

   boolean visit(MySqlAlterTableDiscardTablespace var1);

   void endVisit(MySqlAlterTableDiscardTablespace var1);

   boolean visit(MySqlAlterTableImportTablespace var1);

   void endVisit(MySqlAlterTableImportTablespace var1);

   boolean visit(MySqlCreateTableStatement.TableSpaceOption var1);

   void endVisit(MySqlCreateTableStatement.TableSpaceOption var1);

   boolean visit(MySqlAnalyzeStatement var1);

   void endVisit(MySqlAnalyzeStatement var1);

   boolean visit(MySqlCreateExternalCatalogStatement var1);

   void endVisit(MySqlCreateExternalCatalogStatement var1);

   boolean visit(MySqlAlterUserStatement var1);

   void endVisit(MySqlAlterUserStatement var1);

   boolean visit(MySqlOptimizeStatement var1);

   void endVisit(MySqlOptimizeStatement var1);

   boolean visit(MySqlHintStatement var1);

   void endVisit(MySqlHintStatement var1);

   boolean visit(MySqlOrderingExpr var1);

   void endVisit(MySqlOrderingExpr var1);

   boolean visit(MySqlCaseStatement var1);

   void endVisit(MySqlCaseStatement var1);

   boolean visit(MySqlDeclareStatement var1);

   void endVisit(MySqlDeclareStatement var1);

   boolean visit(MySqlSelectIntoStatement var1);

   void endVisit(MySqlSelectIntoStatement var1);

   boolean visit(MySqlCaseStatement.MySqlWhenStatement var1);

   void endVisit(MySqlCaseStatement.MySqlWhenStatement var1);

   boolean visit(MySqlLeaveStatement var1);

   void endVisit(MySqlLeaveStatement var1);

   boolean visit(MySqlIterateStatement var1);

   void endVisit(MySqlIterateStatement var1);

   boolean visit(MySqlRepeatStatement var1);

   void endVisit(MySqlRepeatStatement var1);

   boolean visit(MySqlCursorDeclareStatement var1);

   void endVisit(MySqlCursorDeclareStatement var1);

   boolean visit(MySqlUpdateTableSource var1);

   void endVisit(MySqlUpdateTableSource var1);

   boolean visit(MySqlAlterTableAlterColumn var1);

   void endVisit(MySqlAlterTableAlterColumn var1);

   boolean visit(MySqlAlterTableForce var1);

   void endVisit(MySqlAlterTableForce var1);

   boolean visit(MySqlAlterTableLock var1);

   void endVisit(MySqlAlterTableLock var1);

   boolean visit(MySqlAlterTableOrderBy var1);

   void endVisit(MySqlAlterTableOrderBy var1);

   boolean visit(MySqlAlterTableValidation var1);

   void endVisit(MySqlAlterTableValidation var1);

   boolean visit(MySqlSubPartitionByKey var1);

   void endVisit(MySqlSubPartitionByKey var1);

   boolean visit(MySqlSubPartitionByList var1);

   void endVisit(MySqlSubPartitionByList var1);

   boolean visit(MySqlDeclareHandlerStatement var1);

   void endVisit(MySqlDeclareHandlerStatement var1);

   boolean visit(MySqlDeclareConditionStatement var1);

   void endVisit(MySqlDeclareConditionStatement var1);

   boolean visit(MySqlFlushStatement var1);

   void endVisit(MySqlFlushStatement var1);

   boolean visit(MySqlEventSchedule var1);

   void endVisit(MySqlEventSchedule var1);

   boolean visit(MySqlCreateEventStatement var1);

   void endVisit(MySqlCreateEventStatement var1);

   boolean visit(MySqlCreateAddLogFileGroupStatement var1);

   void endVisit(MySqlCreateAddLogFileGroupStatement var1);

   boolean visit(MySqlCreateServerStatement var1);

   void endVisit(MySqlCreateServerStatement var1);

   boolean visit(MySqlCreateTableSpaceStatement var1);

   void endVisit(MySqlCreateTableSpaceStatement var1);

   boolean visit(MySqlAlterEventStatement var1);

   void endVisit(MySqlAlterEventStatement var1);

   boolean visit(MySqlAlterLogFileGroupStatement var1);

   void endVisit(MySqlAlterLogFileGroupStatement var1);

   boolean visit(MySqlAlterServerStatement var1);

   void endVisit(MySqlAlterServerStatement var1);

   boolean visit(MySqlAlterTablespaceStatement var1);

   void endVisit(MySqlAlterTablespaceStatement var1);

   boolean visit(MySqlChecksumTableStatement var1);

   void endVisit(MySqlChecksumTableStatement var1);

   boolean visit(MySqlShowDatasourcesStatement var1);

   void endVisit(MySqlShowDatasourcesStatement var1);

   boolean visit(MySqlShowNodeStatement var1);

   void endVisit(MySqlShowNodeStatement var1);

   boolean visit(MySqlShowHelpStatement var1);

   void endVisit(MySqlShowHelpStatement var1);

   boolean visit(MySqlFlashbackStatement var1);

   void endVisit(MySqlFlashbackStatement var1);

   boolean visit(MySqlShowConfigStatement var1);

   void endVisit(MySqlShowConfigStatement var1);

   boolean visit(MySqlShowPlanCacheStatement var1);

   void endVisit(MySqlShowPlanCacheStatement var1);

   boolean visit(MySqlShowPhysicalProcesslistStatement var1);

   void endVisit(MySqlShowPhysicalProcesslistStatement var1);

   boolean visit(MySqlRenameSequenceStatement var1);

   void endVisit(MySqlRenameSequenceStatement var1);

   boolean visit(MySqlCheckTableStatement var1);

   void endVisit(MySqlCheckTableStatement var1);

   boolean visit(MysqlCreateFullTextCharFilterStatement var1);

   void endVisit(MysqlCreateFullTextCharFilterStatement var1);

   boolean visit(MysqlShowFullTextStatement var1);

   void endVisit(MysqlShowFullTextStatement var1);

   boolean visit(MysqlShowCreateFullTextStatement var1);

   void endVisit(MysqlShowCreateFullTextStatement var1);

   boolean visit(MysqlAlterFullTextStatement var1);

   void endVisit(MysqlAlterFullTextStatement var1);

   boolean visit(MysqlDropFullTextStatement var1);

   void endVisit(MysqlDropFullTextStatement var1);

   boolean visit(MysqlCreateFullTextTokenizerStatement var1);

   void endVisit(MysqlCreateFullTextTokenizerStatement var1);

   boolean visit(MysqlCreateFullTextTokenFilterStatement var1);

   void endVisit(MysqlCreateFullTextTokenFilterStatement var1);

   boolean visit(MysqlCreateFullTextAnalyzerStatement var1);

   void endVisit(MysqlCreateFullTextAnalyzerStatement var1);

   boolean visit(MysqlCreateFullTextDictionaryStatement var1);

   void endVisit(MysqlCreateFullTextDictionaryStatement var1);

   boolean visit(MySqlAlterTableAlterFullTextIndex var1);

   void endVisit(MySqlAlterTableAlterFullTextIndex var1);

   boolean visit(MySqlExecuteForAdsStatement var1);

   void endVisit(MySqlExecuteForAdsStatement var1);

   boolean visit(MySqlManageInstanceGroupStatement var1);

   void endVisit(MySqlManageInstanceGroupStatement var1);

   boolean visit(MySqlRaftMemberChangeStatement var1);

   void endVisit(MySqlRaftMemberChangeStatement var1);

   boolean visit(MySqlRaftLeaderTransferStatement var1);

   void endVisit(MySqlRaftLeaderTransferStatement var1);

   boolean visit(MySqlMigrateStatement var1);

   void endVisit(MySqlMigrateStatement var1);

   boolean visit(MySqlShowClusterNameStatement var1);

   void endVisit(MySqlShowClusterNameStatement var1);

   boolean visit(MySqlShowJobStatusStatement var1);

   void endVisit(MySqlShowJobStatusStatement var1);

   boolean visit(MySqlShowMigrateTaskStatusStatement var1);

   void endVisit(MySqlShowMigrateTaskStatusStatement var1);

   boolean visit(MySqlSubPartitionByValue var1);

   void endVisit(MySqlSubPartitionByValue var1);

   boolean visit(MySqlExtPartition var1);

   void endVisit(MySqlExtPartition var1);

   boolean visit(MySqlExtPartition.Item var1);

   void endVisit(MySqlExtPartition.Item var1);

   boolean visit(MySqlJSONTableExpr var1);

   void endVisit(MySqlJSONTableExpr var1);

   boolean visit(MySqlJSONTableExpr.Column var1);

   void endVisit(MySqlJSONTableExpr.Column var1);

   boolean visit(MysqlAlterTableAlterCheck var1);

   void endVisit(MysqlAlterTableAlterCheck var1);

   boolean visit(MySqlIntervalExpr var1);

   void endVisit(MySqlIntervalExpr var1);

   boolean visit(MySqlTableTableSource var1);

   void endVisit(MySqlTableTableSource var1);

   boolean visit(MySqlAlterTableAlterIndex var1);

   void endVisit(MySqlAlterTableAlterIndex var1);

   boolean visit(MySqLGrantStatement var1);

   void endVisit(MySqLGrantStatement var1);

   boolean visit(MySqLRevokeStatement var1);

   void endVisit(MySqLRevokeStatement var1);

   boolean visit(MySqlRepairTableStatement var1);

   void endVisit(MySqlRepairTableStatement var1);

   boolean visit(MySQLImportTableStatement var1);

   void endVisit(MySQLImportTableStatement var1);

   boolean visit(MySqLShowColumnStatement var1);

   void endVisit(MySqLShowColumnStatement var1);

   boolean visit(MySqLShowCreateTableStatement var1);

   void endVisit(MySqLShowCreateTableStatement var1);

   boolean visit(MySqLCacheIndexStatement var1);

   void endVisit(MySqLCacheIndexStatement var1);
}
